/**
 * @file
 * Global rules
 *
 * Theme global rules.
 */

html {
  height: 100%;
  font-size: 100%;
  -ms-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
  line-height: 1.5;
}
html, body {
  position: relative;
  font-family: Merriweather, sans-serif;
  color: #000000;
}
body * {
  box-sizing: border-box;
}
img {
  max-width: 100%;
  height: auto;
  display: block;
}
p, h1, h2, h3 {
  position: relative;
}
h1, h2, h3, h4 {
  font-family: 'Raleway', sans-serif;
  font-weight: 800;
  color: var(--color-primary--1);
}
h1 {
  font-size: 2.5rem;
  margin: 0;
}
h2 {
  font-size: 2rem;
  margin: 0;
  line-height: 130%;
}
h3 {
  font-size: 1.5rem;
  margin: 0;
  line-height: 150%;
}
@media all and (min-width: 1200px){
  h1 {
    font-size: 4rem;
    line-height: 150%;
  }
  h2 {
    font-size: 3rem;
  }
  h3 {
    font-size: 2rem;
  }
}
p, a {
  font-family: 'Merriweather';
  font-weight: 400;
}
p, li, ol, ul {
  color: var(--color-primary--2);
}
::selection {
  background-color: var(--color-secondary--2);
  color: #fff;
}
.subtitle {
  font-family: 'Raleway', sans-serif;
  font-size: 2rem;
  font-weight: 600;
  line-height: 48px;
}


/**
 * Links
 */

p > a {
  text-decoration: underline;
}
p > a:hover {
  font-weight: bolder;
}
a {
  color: var(--color-primary--2);
  text-decoration: none;
}


/**
 * CTA
 */

.cta {
  display: flex;
  margin-top: .5rem;
}
.cta--left {
  justify-content: left;
}
.cta--center {
  justify-content: center;
}
.cta--right {
  justify-content: right;
}
.cta--s a {
  padding: 0.5rem 1.25rem;
}
.cta--s a:active {
  border: 2px solid var(--color-secondary--1);
}
.cta--m a,
input.cta--m {
  padding: 0.75rem 1.5rem;
}
.cta--m a:active {
  border: 3px solid var(--color-secondary--1);
}
.cta--l a {
  padding: 0.75rem 2rem;
}
.cta--l a:active {
  border: 4px solid var(--color-secondary--1);
}
.cta a,
input.cta {
  border-radius: 3px;
  width: fit-content;
  color: var(--color-primary--6);
  font-family: 'Raleway';
  font-weight: 800;
  font-size: 1rem;
  line-height: 130%;
  display: block;
  transition: ease-in-out 150ms;
  border: none;
}
.cta--primary a,
input.cta--primary {
  background-color: var(--color-secondary--2);
}
.cta--secondary a {
  background-color: var(--color-secondary--2);
}
.cta--icon a::before,
input.cta--icon {
    content: '';
    background-image: url('../images/icons/closing_angle_brackets.svg');
    width: 8px;
    height: 11px;
    display:inline-block;
    text-decoration: none;
    margin-right: 0.5rem;
}
@media all and (min-width: 750px) {
  .cta {
    display: flex;
    margin-top: 1rem;
  }
  .cta--primary a
  input.cta--primary {
    background-color: var(--color-primary--2);
  }
  .cta--primary a:hover,
  input.cta--primary:hover {
    background-color: var(--color-secondary--1);
  }
  .cta--secondary a {
    background-color: var(--color-primary--2);
  }
  .cta--secondary a:hover {
    background-color: var(--color-secondary--1);
  }
}


 /**
  * Section
  */

.section {
  overflow: hidden;
}
.section--primary-light {
    background-color:  var(--color-primary--6);
}
.section--primary-normal {
    background-color:  var(--color-primary--5);
}
.section--primary-dark {
    background-color:  var(--color-primary--2);
}
.section--primary-dark * {
  color: var(--color-neutral);
}


 /**
  * Taxonomy
  */

 .color-heritage {
    background-color: var(--color-heritage--1);
 }
 .color-youth {
    background-color: var(--color-youth--1);
 }
 .color-culture {
    background-color: var(--color-culture--1);
 }
 .color-fictions {
    background-color: var(--color-fictions--1);
 }
 .color-history {
    background-color: var(--color-history--1);
 }
 .color-space {
    background-color: var(--color-space--1);
 }
 .color-sport {
    background-color: var(--color-sport--1);
 }
 .color-news {
    background-color: var(--color-news--1);
 }


/**
 * First section after hero with gray before
 * This only works for the very first section after the hero, on a page-builder page (not homepage) and only if the field 'has-hero' is checked.
 */


.page-node-type-page-builder:not(.path-frontpage) .section--primary-light:first-child + .section--has-before {
  position: relative;
}
.page-node-type-page-builder:not(.path-frontpage) .section--primary-light:first-child + .section--has-before::before {
  position: absolute;
  content: '';
  height: 85%;
  max-height: 450px;
  left: 0;
  right: 0;
  top: 0;
  background-color: var(--color-primary--6);
  z-index: -1;
}


/**
 * Cookie banner
 */

.cookiesjsr-banner {
  font-family: 'Raleway';
  background-color: var(--color-primary--2);
}
.cookiesjsr-btn {
  background-color: var(--color-secondary--2);
}
.cookiesjsr-btn.important {
  color: var(--color-secondary--2);
}
.cookiesjsr-service-group.active .cookiesjsr-service-group--content {
  font-family: 'Raleway';
  background-color: var(--color-primary--2);
}
.cookiesjsr-service-group.active .cookiesjsr-service-group--tab {
  background-color: var(--color-primary--2);
}
.cookiesjsr-btn.important.invert {
  background-color: var(--color-secondary--2);
  border-color: var(--color-secondary--2);
}
.cookiesjsr-btn.invert {
  color: var(--color-secondary--2);
  border-color: var(--color-secondary--2);
}


/**
 * Hide block for menu when logged as webmaster
 */

[data-contextual-id="block:block=editionsprivat_main_menu:langcode=fr|menu:menu=main:langcode=fr"]{
  display: none;
}

/**
 * Webform submission modal style
 */

.ui-widget-overlay {
  background: rgba(43, 43, 58, 0.8);
  opacity: 1;
}
.ui-widget.ui-widget-content,
.webform-confirmation-modal {
  border: none;
}
.webform-confirmation-modal .ui-dialog-titlebar {
  background-color: var(--color-primary--1);
  color: var(--color-neutral);
  border: none;
  font-size: 1.5rem;
  font-family: Raleway;
  font-weight: 800;
  line-height: 130%;
  padding: 0.5rem 1rem;
  position: relative;
}
.webform-confirmation-modal .ui-dialog-titlebar button {
  all: unset;
  position: absolute;
  top: -17px;
  right: -17px;
  display: block;
  content: '';
  background-image: url("../images/icons/close.svg");
  background-position: center;
  background-repeat: no-repeat;
  width: 15px;
  height: 15px;
  cursor: pointer;
  text-indent: 99999px;
  overflow: hidden;
}
.webform-confirmation-modal .ui-dialog-titlebar .ui-button .ui-icon {
  background-image: none;
}
.ui-dialog .ui-dialog-content.webform-confirmation-modal--content {
  font-family: Merriweather;
  line-height: 150%;
  color: var(--color-primary--1);
  padding: 1rem 1rem 4rem 1rem;
}

